## com.puppycrawl.tools.checkstyle.checks.indentation
Class IfHandler

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
          com.puppycrawl.tools.checkstyle.checks.indentation.BlockParentHandler
              com.puppycrawl.tools.checkstyle.checks.indentation.IfHandler

    public class IfHandler

extends BlockParentHandler

Handler for if statements.

Author:
  jrichard

Constructor Summary
`IfHandler(IndentationCheck aIndentCheck, DetailAST aAst, ExpressionHandler aParent)` Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

Method Summary
`void` `checkIndentation()` Check the indentation of the expression we are handling.
`protected void` `checkToplevelToken()` Check the indent of the top level token.
`protected IndentLevel` `getLevelImpl()` Compute the indentation amount for this handler.
`IndentLevel` `suggestedChildLevel(ExpressionHandler aChild)` Indentation level suggested for a child element.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.BlockParentHandler
`checkLCurly, checkRCurly, childrenMayNest, getCheckedChildren, getChildrenExpectedLevel, getLCurly, getListChild, getLParen, getNonlistChild, getRCurly, getRParen, getToplevelAST, hasCurlys, rcurlyMustStart, toplevelMustStartLine`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
`checkChildren, checkExpressionSubtree, checkLinesIndent, checkLParen, checkModifiers, checkRParen, expandedTabsColumnNo, findSubtreeLines, getBasicOffset, getBraceAdjustement, getFirstLine, getIndentCheck, getLevel, getLineStart, getLineStart, getMainAst, getParent, logError, logError, shouldIncreaseIndent, startsLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IfHandler

    public IfHandler(IndentationCheck aIndentCheck,
                     DetailAST aAst,
                     ExpressionHandler aParent)

  Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

  Parameters:
    `aIndentCheck` - the indentation check
    `aAst` - the abstract syntax tree
    `aParent` - the parent handler

Method Detail

### suggestedChildLevel

    public IndentLevel suggestedChildLevel(ExpressionHandler aChild)

  Description copied from class: `ExpressionHandler`
  Indentation level suggested for a child element. Children don't have to respect this, but most do.

  Overrides:
    `suggestedChildLevel` in class `BlockParentHandler`
  Parameters:
    `aChild` - child AST (so suggestion level can differ based on child type)
  Returns:
    suggested indentation for child

### getLevelImpl

    protected IndentLevel getLevelImpl()

  Description copied from class: `ExpressionHandler`
  Compute the indentation amount for this handler.

  Overrides:
    `getLevelImpl` in class `ExpressionHandler`
  Returns:
    the expected indentation amount

### checkToplevelToken

    protected void checkToplevelToken()

  Description copied from class: `BlockParentHandler`
  Check the indent of the top level token.

  Overrides:
    `checkToplevelToken` in class `BlockParentHandler`

### checkIndentation

    public void checkIndentation()

  Description copied from class: `ExpressionHandler`
  Check the indentation of the expression we are handling.

  Overrides:
    `checkIndentation` in class `BlockParentHandler`

Copyright © 2001-2011. All Rights Reserved.